<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'hr', branch 'MOODLE_36_STABLE'
 *
 * @package   report_security
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p>Preporučljivo je da se ovlasti nad datotekom config.php promijene nakon instalacije kako toj datoteci ne bi mogao pristupati web poslužitelj. Uzmite u obzir da to ne povećava sigurnost poslužitelja u velikoj mjeri, iako će donekle usporiti ili ograničiti općenite sigurnosne prijetnje.</p>';
$string['check_configrw_name'] = 'Moguće je zapisivati u config.php';
$string['check_configrw_ok'] = 'PHP skripte ne mogu mijenjati config.php';
$string['check_configrw_warning'] = 'PHP skripte MOGU mijenjati config.php';
$string['check_cookiehttponly_details'] = '<p>Preporuča se da samo HTTP kolačići budu omogućeni kako bi se spriječile klijentske skripte da pristupaju kolačićima koje je postavio poslužitelj, čime se ublažava opasnost od XSS napada.</p><p>Zastavicu (flag) „samo HTTP“ podržavaju svi moderni preglednici, ali imajte na umu da stariji preglednici možda ne podržavaju tu zastavicu i stoga ih treba smatrati manje sigurnima.</p>';
$string['check_cookiehttponly_error'] = 'Molimo da omogućite opciju „samo HTTP kolačići“.';
$string['check_cookiehttponly_name'] = 'HTTP samo kolačići';
$string['check_cookiehttponly_ok'] = 'Omogućeni su samo kolačići s HTTP-a.';
$string['check_cookiesecure_details'] = '<p>Ako omogućite https komunikaciju, preporučljivo je da omogućite sigurne cookie datoteke. Trebali biste također dodati trajnu redirekciju sa http na https.</p>';
$string['check_cookiesecure_error'] = 'Omogućite sigurne cookie datoteke';
$string['check_cookiesecure_name'] = 'Sigurni cookies';
$string['check_cookiesecure_ok'] = 'Sigurni cookies omogućeni.';
$string['check_defaultuserrole_details'] = '<p>Svi prijavljenim korisnicima su dane sposobnosti zadane korisničke uloge. Provjerite da nisu zadane ikakve rizične spoposbnosti za navedenu ulogu.</p>
<p>Jedina podržana naslijeđena uloga za zadanu korisničku ulogu je <em>Prijavljeni korisnik</em>. Sposobnost pregleda e-kolegija ne smije biti omogućena.</p>';
$string['check_defaultuserrole_error'] = 'Zadana uloga "{$a}" nije ispravno podešena!';
$string['check_defaultuserrole_name'] = 'Zadana uloga za sve korisnike';
$string['check_defaultuserrole_notset'] = 'Zadana uloga nije podešena.';
$string['check_defaultuserrole_ok'] = 'Definicija zadane uloge za sve korisnike je OK.';
$string['check_displayerrors_details'] = '<p>Omogućavanje  PHP postavke <code>display_errors</code> nije preporučljivo na produkcijskim poslužiteljima jer poruke o pogrešci mogu otkriti povjerljive informacije o vašem poslužitelju.</p>';
$string['check_displayerrors_error'] = 'PHP postavka za prikaz pogrešaka je omogućena. Preporučujemo da ju onemogućite.';
$string['check_displayerrors_name'] = 'Prikaz PHP pogrešaka';
$string['check_displayerrors_ok'] = 'Prikaz PHP pogrešaka onemogućen.';
$string['check_emailchangeconfirmation_details'] = '<p>Preporučljivo je da je korak s potvrdom putem e-pošte obvezan pri postupku u kojem korisnici mijenjaju vlastitu adresu e-pošte na svom profilu. Ako je onemogućeno, spameri mogu iskoristiti vaš poslužitelj za slanje spama.</p>
<p>Polje e-pošte može biti zaključano u odnosu na dodatke za autentikaciju, ali to se ovdje ne razmatra.</p>';
$string['check_emailchangeconfirmation_error'] = 'Korisnici mogu unijeti bilo koju adresu e-pošte.';
$string['check_emailchangeconfirmation_info'] = 'Korisnici mogu unijeti adresu e-pošte samo s dopuštenih domena.';
$string['check_emailchangeconfirmation_name'] = 'Potvrda promjene adrese e-pošte';
$string['check_emailchangeconfirmation_ok'] = 'Potvrda promjene adrese e-pošte na korisničkom profilu.';
$string['check_frontpagerole_details'] = '<p>Zadana uloga na naslovnici je dana svim prijavljenim korisnicima za aktivnosti na naslovnici. Provjerite da nema rizičnih spospobnosti za ovu ulogu.</p>
<p>Preporučljivo je da stvorite posebnu ulogu za ovu namjenu i da ne koristite naslijeđenu ulogu.</p>';
$string['check_frontpagerole_error'] = 'Otkrivena neispravno podešena uloga na naslovnici "{$a}"!';
$string['check_frontpagerole_name'] = 'Uloga na naslovnici';
$string['check_frontpagerole_notset'] = 'Uloga na naslovnici nije podešena.';
$string['check_frontpagerole_ok'] = 'Uloga na naslovnici je u redu.';
$string['check_google_details'] = '<p>Postavka \'Otvori prema Google\' omogućava pretraživačima pristup e-kolegijima s ulogom gosta. Nema svrhe omogućavati ovu postavku ako gostima nije dopuštena prijava.</p>';
$string['check_google_error'] = 'Pristup tražilicama je omogućen, ali je pristup gostima onemogućen.';
$string['check_google_info'] = 'Tražilice se mogu prijaviti kao gosti.';
$string['check_google_name'] = 'Otvoreno prema Google';
$string['check_google_ok'] = 'Pristup pretraživačima nije dopušten.';
$string['check_guest_details'] = '<p>Preporučuje se onemogućavanje prijave bez korisničkog računa. Razmislite o onemogućavanju postavke gumba "Prijava kao gost".</p>';
$string['check_guest_name'] = 'Pristup za goste';
$string['check_guest_ok'] = 'Korisnici se moraju prijaviti putem vlastitog računa.';
$string['check_guestrole_details'] = '<p>Uloga gosta se koristi za goste, ne-prijavljene korisnike i  privremeni pristup e-kolegijima.  Provjerite da nisu zadane nikakve rizične spospobnosti za ovu ulogu.</p> <p>Jedina podržana naslijeđena uloga za ulogu gosta je <em>Gost</em>.</p>';
$string['check_guestrole_error'] = 'Uloga gosta "{$a}" nije ispravno podešena!';
$string['check_guestrole_name'] = 'Uloga gosta';
$string['check_guestrole_notset'] = 'Uloga gosta nije podešena.';
$string['check_guestrole_ok'] = 'Postavke uloge gosta su u redu.';
$string['check_guest_warning'] = 'Korisnici ovom poslužitelju mogu pristupiti kao gosti bez lozinke.';
$string['check_https_details'] = '<p>HTTP protokol se može lako zloupotrijebiti i preporučuje se uporaba HTTPS protokola na svim produkcijskim poslužiteljima.';
$string['check_https_name'] = 'HTTPS protokol';
$string['check_https_ok'] = 'HTTPS protokol se koristi.';
$string['check_https_warning'] = 'HTTPS protokol se ne koristi.';
$string['check_noauth_details'] = '<p>Dodatak <em>Nema prijave</em> nije namijenjen produkcijskim sjedištima. Onemogućite ga, osim ako se radi o razvojnom sjedištu.</p>';
$string['check_noauth_error'] = 'Dodatak Nema prijave nije namijenjen produkcijskim sjedištima.';
$string['check_noauth_name'] = 'Nema prijave';
$string['check_noauth_ok'] = 'Autentikacijski dodatak \'Nema prijave\' je onemogućen.';
$string['check_nodemodules_details'] = '<p>Direktorij<em> {$a->path} </em> sadrži module Node.js i njihove ovisnosti koji se obično instaliraju NPM alatima. Ti moduli mogu biti nužni za razvoj Totare. Nisu potrebni za pokretanje Totara web-mjesta i mogu sadržavati potencijalno opasne kodove koji izlažu vaše web-mjesto udaljenim napadima.</p> <p>Preporučuje se ukloniti direktorij ako je web-mjesto dostupan putem javnog URL-a ili najmanje zabraniti pristup webu.';
$string['check_nodemodules_info'] = '</p>Direktorij node_modules ne bi trebao biti prisutan na javnim web-mjestima.';
$string['check_nodemodules_name'] = 'Direktorij modula node.js.';
$string['check_openprofiles_details'] = '<p>Otvoreni profili mogu biti zloporabljeni od strane spamera. Preporučljivo je da omogućite postavku ili <code>Obvezatno prijavljivanje korisnika na sustav<(code> ili <code>Obvezatno prijavljivanje korisnika za pregled profila</code>.';
$string['check_openprofiles_error'] = 'Svatko može pregledavati korisničke profile bez prijave sustavu.';
$string['check_openprofiles_name'] = 'Korisnički računi otvoreni prema svijetu';
$string['check_openprofiles_ok'] = 'Prije pregleda korisnikih profila treba se prijaviti sustavu.';
$string['check_passwordpolicy_details'] = '<p>Preporučljivo je podešavanje pravila za lozinke jer je pogađanje lozinki često najlakši način za dobivanje nedopuštenog pristupa. Nemojte ista zadati prestrogo, jer o može rezultirati time da korisnici nisu u stanju zapamtiti svoje lozinke, pa će ih ili češće zaboravljati ili ih zapisivati na papir.</p>';
$string['check_passwordpolicy_error'] = 'Pravila za lozinke nisu zadana.';
$string['check_passwordpolicy_name'] = 'Pravila za lozinke';
$string['check_passwordpolicy_ok'] = 'Pravila za lozinke su zadana.';
$string['check_persistentlogin_details'] = '<p>Ako su aktivirane trajne prijave zanemarite standardne prekide sesije i podesite trajne programske kolačiće preglednika. Ovaj programski kolačić kasnije se koristi za automatsku ponovnu prijavu korisnika nakon ponovnog pokretanja preglednika ili isteka vremena sesije.</p>';
$string['check_persistentlogin_name'] = 'Trajna prijava';
$string['check_persistentlogin_ok'] = 'Trajna prijava je deaktivirana.';
$string['check_persistentlogin_warning'] = 'Trajne prijave mogu se smatrati sigurnosnim rizikom.';
$string['check_preventexecpath_name'] = 'Putanje do izvršnih datoteka';
$string['check_preventexecpath_ok'] = 'Putanje do izvršnih datoteka moguće je zadati isključivo u config.php';
$string['check_repositoryurl_details'] = '<p>Omogućavanje preuzimača URL-a može dopustiti vanjskim korisnicima pristup URL-ovima unutar vaše interne mreže. Ne biste trebali omogućiti ovu značajku ako imate korisnike kojima je dopušten pristup vašem LMS-u, ali ne smiju pristupiti drugim resursima unutar vaše interne mreže koji su dostupni s LMS poslužitelja.';
$string['check_repositoryurl_name'] = 'Repozitorij za preuzimanje URL-a';
$string['check_repositoryurl_ok'] = 'Repozitorij za preuzimanje URL-a je onemogućen.';
$string['check_repositoryurl_warning'] = 'Repozitorij za preuzimanje URL-a je omogućen.';
$string['check_riskadmin_detailsok'] = '<p>Molimo potvrdite sljedeći popis administratora sustava:</p>{$a}';
$string['check_riskadmin_detailswarning'] = '<p>Molimo, potvrdite sljedeći popis administratora sustava:</p>{$a->admins}
<p>Preporuka je dodijeliti ulogu administratora samo u kontekstu sustava. Sljedeći korisnici imaju (nepodržane) zadatke uloge administratora u drugim kontekstima:</p>{$a->unsupported}';
$string['check_riskadmin_name'] = 'Administratori';
$string['check_riskadmin_ok'] = 'Broj administratora: {$a}';
$string['check_riskadmin_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) pregled dodjele uloga</a>';
$string['check_riskadmin_warning'] = 'Pronađeno je {$a->admincount} administratora poslužitelja i {$a->unsupcount} nepodržanih dodjela administratorske uloge.';
$string['check_riskbackup_detailsok'] = 'Nema uloge koja eksplicitno dopušta backup korisničkih podataka. Međutim, imajte na umu da će administratori sa "doanything" sposobnosti vjerojatno biti u mogućnosti to učiniti.';
$string['check_riskbackup_details_overriddenroles'] = '<p>Ova aktivne izmjene ovlasti daju korisnicima mogućnost obuhvaćanja korisničkih podataka u backupu. Provjerite je li navedena ovlast neophodna.</p> {$a}';
$string['check_riskbackup_details_systemroles'] = '<p>Slijedeće sistemske uloge trenutačno dopuštaju korisnicima obuhvaćanje korisničkih podataka u backupu. Provjerite je li ova ovlast uistinu potrebna.</p> {$a}';
$string['check_riskbackup_details_users'] = '<p>Zbog gore navedenih uloga ili lokalnih izmjena ovlasti, ovim se korisničkim računim trenutačno dopušta obuhvaćanje korisničkih podataka u backupu. Provjerite (a) jesu li to pouzdani korisnici i (b) imaju li dovoljno jake lozinke:</p> {$a}';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name} u {$a->contextname}</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = 'Backup korisničkih podataka';
$string['check_riskbackup_ok'] = 'Nijedna od uloga ne dopušta eksplicitno backup podataka';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) u {$a->contextname}</a>';
$string['check_riskbackup_warning'] = 'Pronađeno je ovoliko uloga: {$a->rolecount}, {$a->overridecount} izmjena ovlasti i {$a->usercount} korisnika koji imaju mogućnost backupa korisničkih podataka.';
$string['check_riskxss_details'] = '<p>RISK_XSS označava sve opasne sposobnosti koje trebaju moći koristiti samo pouzdani korisnici.</p>
<p>Provjerite ovaj popis korisnika i provjerite vjerujete li svima u potpunosti:</p><p>{$a}</p>';
$string['check_riskxss_name'] = 'XSS pouzdani korisnici';
$string['check_riskxss_warning'] = 'RISK_XSS - pronađeno je {$a} korisnik(a) koji moraju biti pouzdani.';
$string['check_unsecuredataroot_details'] = '<p>Dataroot mapa ne smije biti dostupna putem weba. Najbolji način da to učinite je da istu smjestite u mapu izvan one u kojoj su smještene javno dostupne web stranice.

Ako naknadno prebacujete mapu, morate promijeniti i
<code>$CFG->dataroot</code> postavku u  <code>config.php</code> datoteci.</p>';
$string['check_unsecuredataroot_error'] = 'Vaša dataroot mapa <code>{$a}</code> je na pogrešnom mjestu i izložena je pristupu putem weba!';
$string['check_unsecuredataroot_name'] = 'Nesigurna osnovna mapa s podacima';
$string['check_unsecuredataroot_ok'] = 'Osnovna mapa s podacima ne smije biti dostupna putem weba.';
$string['check_unsecuredataroot_warning'] = 'Vaša dataroot mapa <code>{$a}</code> je na pogrešnom mjestu i može biti izložena pristupu putem weba!';
$string['check_usernameenumeration_details'] = '<p>Kada su korisničke vjerodajnice netočne, Totara namjerno nastoji biti neodređena o razlogu neuspješne prijave kako ne bi omogućila korisniku informaciju jesu li netočni korisničko ime ili lozinka. To znači da će napadači morati pogoditi i korisničko ime i lozinku.</p>
<p>Kada se uključi samoregistracija, napadači mogu koristiti obrazac za prijavu kako bi redom iskušavali korisnička imena i tako izdvojili ona koja su važeća. Nakon što su jednom utvrdili neko valjano korisničko ime, mogu prijeći na pogađanje lozinke.<br/>Kako biste to spriječili, isključite samoregistraciju.</p>
<p>Kad je opcija Zaštiti korisnička imena isključena, potencijalni napadači mogu se poslužiti obrascem za zaboravljene lozinke kako bi redom iskušavali korisnička imena i tako provjeravali koja su valjana. Kada se utvrdi valjano korisničko ime, potrebno je samo nagađati lozinku.<br/>Kako biste to spriječili, omogućite opciju Zaštiti korisnička imena.';
$string['check_usernameenumeration_name'] = 'Nabrajanje korisničkih imena';
$string['check_usernameenumeration_ok'] = 'Opcija Zaštitite korisnička imena je omogućena, a Samoregistracija nije omogućena';
$string['check_usernameenumeration_warning'] = 'Kada je uključena Samoregistracija ili je Zaštiti korisnička imena isključena, neautentificirani korisnici mogu pogoditi neko postojeće korisničko ime';
$string['check_webcron_details'] = '<p>Pokretanje crona iz web preglednika može privilegirane informacije otkriti anonimnim korisnicima. Preporuča se pokretanje crona isključivo iz naredbenog retka ili postavljanje lozinke za daljinski pristup.</p>';
$string['check_webcron_name'] = 'Web cron';
$string['check_webcron_ok'] = 'Anonimni korisnici ne mogu pristupiti cronu.';
$string['check_webcron_warning'] = 'Anonimni korisnici mogu pristupiti cronu.';
$string['check_xxe_risk_critical'] = 'Vanjski entiteti učitavaju se u XML prema zadanim postavkama.';
$string['check_xxe_risk_details'] = 'Neke verzije LibXML i PHP prema zadanim postavkama potencijalno učitavaju vanjske entitete u XML, što znači da bi zlonamjerni korisnik mogao pribaviti sadržaj lokalnih datoteka. Pobrinite se da koristite ažurirane verzije LibXML-a i PHP-a kako biste spriječili ovu ranjivost.';
$string['check_xxe_risk_name'] = 'XXE rizik';
$string['check_xxe_risk_ok'] = 'Vanjski entiteti se prema zadanim postavkama ne učitavaju u XML.';
$string['configuration'] = 'Postavke';
$string['description'] = 'Opis';
$string['details'] = 'Detalji';
$string['issue'] = 'Problem';
$string['pluginname'] = 'Sigurnosna provjera';
$string['security:view'] = 'Pregled sigurnosnog izvještaja';
$string['status'] = 'Status';
$string['statuscritical'] = 'Kritično';
$string['statusinfo'] = 'Informacija';
$string['statusok'] = 'OK';
$string['statusserious'] = 'Ozbiljno';
$string['statuswarning'] = 'Upozorenje';
$string['timewarning'] = 'Obrada podataka može potrajati, budite strpljivi...';
