<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_generator', language 'hr', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_generator
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bigfile'] = 'Velika datoteka {$a}';
$string['courseexplanation'] = 'Ovaj alat izrađuje standardne pokusne tečaje koji sadrže mnoge
odjeljke, aktivnosti i datoteke.

Svrha im je osigurati standardizirane mjere za provjeru pouzdanosti
i performansi različitih komponenti sustava (kao što su sigurnosna kopija i njezino vraćanje).

To je važno jer je bilo mnogo slučajeva u stvarnom životu u kojima
se sustav nije funkcionirao u okolnostima stvarne uporabe (npr. tečaj s
1000 aktivnosti).

Tečajevi stvoreni pomoću ove značajke mogu zauzimati veliku količinu baze podataka i
prostor na datotečnom sustavu (desetine gigabajta). Budete li željeli osloboditi taj prostor,
trebat ćete obrisati tečajeve (i čekati da bude izvršena funkcija cleanup).

** Nemojte koristiti ovu značajku na živom sustavu**. Koristite samo na razvojnom poslužitelju.
(Kako bi se izbjegla slučajna uporaba, ova značajka je onemogućena, osim ako ste odabrali
RAZVOJNU razinu otklanjanja pogreški.)';
$string['coursesize_0'] = 'XS (~ 10 KB, izradite u ~ 1 sekundi)';
$string['coursesize_1'] = 'S (~ 10 MB izradite u ~ 30 sekundi)';
$string['coursesize_2'] = 'M (~100MB; stvori za ~ 2 minute)';
$string['coursesize_3'] = 'L (~1GB; stvori za ~ 30 minuta)';
$string['coursesize_4'] = 'XL (~10GB; stvori za ~ 2 sata)';
$string['coursesize_5'] = 'XXL (~20GB; stvori za ~ 4 sata)';
$string['coursewithoutusers'] = 'Odabrani tečaj nema korisnika';
$string['createcourse'] = 'Izradite tečaj';
$string['createtestplan'] = 'Izradite plan testiranja';
$string['creating'] = 'Izradite tečaj';
$string['done'] = 'Uavršeno ({$a}s)';
$string['downloadtestplan'] = 'Preuzmite plan testiranja';
$string['downloadusersfile'] = 'Preuzmite korisničke datoteke';
$string['error_nocourses'] = 'Nema tečajeva za generiranje plana ispitivanja';
$string['error_noforumdiscussions'] = 'Odabrani tečaj ne sadrži rasprave na forumu';
$string['error_noforuminstances'] = 'Odabrani tečaj ne sadrži instance modula foruma';
$string['error_noforumreplies'] = 'Odabrani tečaj ne sadrži odgovore na forumu';
$string['error_nonexistingcourse'] = 'Navedena tečaj ne postoji';
$string['error_nopageinstances'] = 'Odabrani tečaj ne sadrži instance modula stranica';
$string['error_notdebugging'] = 'Nije dostupno na ovom poslužitelju jer ispravljanje pogrešaka nije postavljeno na RAZVOJNO';
$string['error_nouserspassword'] = 'Morate postaviti $CFG->tool_generator_users_password u config.php kako biste generirali plan ispitivanja';
$string['fullname'] = 'Testni tečaj: {$a->size}';
$string['maketestcourse'] = 'Napravite probni tečaj';
$string['maketestplan'] = 'Napravite plan ispitivanja JMeter';
$string['notenoughusers'] = 'Odabrani tečaj nema dovoljno korisnika';
$string['pluginname'] = 'Generator slučajnih e-kolegija (lažnih e-kolegija)';
$string['progress_checkaccounts'] = 'Provjera korisničkih računa ({$a})';
$string['progress_coursecompleted'] = 'Tečaj završen ({$a}s)';
$string['progress_createaccounts'] = 'Izrađivanje korisničkih računa ({$a->from} - {$a->to})';
$string['progress_createassignments'] = 'Izrađivanje dodijela ({$a})';
$string['progress_createbigfiles'] = 'Izrađivanje velike datoteke ({$a})';
$string['progress_createcourse'] = 'Izrađivanje tečaja {$a}';
$string['progress_createforum'] = 'Izrađivanje foruma ({$a} postova)';
$string['progress_createpages'] = 'Izrađivanje stranice ({$a})';
$string['progress_createsmallfiles'] = 'Izrađivanje male datoteke ({$a})';
$string['progress_enrol'] = 'Upisivanje korisnika u tečaj ({$a})';
$string['progress_sitecompleted'] = 'Tranice završena ({$a}s)';
$string['shortsize_0'] = 'XS';
$string['shortsize_1'] = 'S';
$string['shortsize_2'] = 'M';
$string['shortsize_3'] = 'L';
$string['shortsize_4'] = 'XL';
$string['shortsize_5'] = 'XXL';
$string['sitesize_0'] = 'XS (~ 10 MB 3 tečajeva, izrađenih u ~ 30 sekundi)';
$string['sitesize_1'] = 'S (~ 50 MB, 8 tečajeva, izrađenih u ~ 2 minute)';
$string['sitesize_2'] = 'M (~ 200 MB, 73 tečajeva izrađenih u ~ 10 minuta)';
$string['sitesize_3'] = 'L (+ 1\'5GB, 277, tečajevi izrađenih u ~ 1\'5 sati)';
$string['sitesize_4'] = 'XL (~ 10 HR, 1065, tečajeva izrađenih u ~ 5 sati)';
$string['sitesize_5'] = 'XXL (~ 20 HR, 4177, tečajeva, izrađenih u ~ 10 sati)';
$string['size'] = 'Veličina e-kolegija';
$string['smallfiles'] = 'Male datoteke';
$string['targetcourse'] = 'Probna meta tečaja';
$string['testplanexplanation'] = 'Ovaj alat stvara datoteku plana ispitivanja JMeter zajedno s datotekom korisničkih vjerodajnica.

Ovaj plan ispitivanja osmišljen je za rad uz {$a}, što olakšava izvođenje testnog plana u određenoj okolini Totare, prikuplja informacije o izvođenjima i uspoređuje rezultate, pa ćete ga morati preuzeti i koristiti test_runner. sh skriptu ili slijediti upute za instalaciju i uporabu.

Morate postaviti lozinku za korisnike tečaja u config.php (npr. $CFG->tool_generator_users_password = \'totara\';). Za ovu lozinku nema zadane vrijednosti kako bi se spriječila nenamjerna upotreba alata. Morate upotrijebiti opciju ažuriranja za lozinke u slučaju da korisnici tečaja imaju druge lozinke ili su generirane od strane tool_generator, ali bez postavljanja vrijednosti $CFG->tool_generator_users_password.

To je dio funkcije tool_generator i stoga dobro funkcionira s generatorima tečaja i web-stranica. Može
se koristi s bilo kojim tečajem koji sadrži barem:

* Dovoljno upisanih korisnika (ovisi o veličini ispitnog plana koji odaberete) kojima je lozinka postavljena na \'totara\'
* Instancu modula stranice
* Instancu modula foruma s barem jednom raspravom i jednim odgovorom

Možda bi bilo mudro razmotriti kapacitet svojih poslužitelja prilikom pokretanja velikih planova ispitivanja budući da opterećenje koje stvara JMeter može biti naročito veliko. Razdoblje podizanja se prilagođava prema broju niti (korisnika) kako bi se smanjila ova vrsta poteškoća,
ali opterećenje je još uvijek ogromno.

** Nemojte izvoditi plan ispitivanja na živom sustavu **. Ova značajka samo stvara datoteke kojima će se koristiti JMeter pa nije opasna sama po sebi,
ali **NIKADA** ne biste smjeli provoditi plan ispitivanja na produkcijskom web-mjestu.';
$string['testplansize_0'] = 'XS ({$a->users} korisnici, {$a->loops} petlje i {$a->rampup} razdoblje podizanja)';
$string['testplansize_1'] = 'S ({$a->users} korisnici, {$a->loops} petlje i {$a->rampup} razdoblje podizanja)';
$string['testplansize_2'] = 'M ({$a->users} korisnici, {$a->loops} petlje i {$a->rampup} razdoblje podizanja)';
$string['testplansize_3'] = 'L ({$a->users} korisnici, {$a->loops} petlje i {$a->rampup} razdoblje podizanja)';
$string['testplansize_4'] = 'XL ({$a->users} korisnici, {$a->loops} petlje i {$a->rampup} razdoblje podizanja)';
$string['testplansize_5'] = 'XXL ({$a->users} korisnici, {$a->loops} petlje i {$a->rampup} razdoblje podizanja)';
$string['updateuserspassword'] = 'Ažurirajte lozinke tečaja korisnika';
$string['updateuserspassword_help'] = 'JMeter se mora prijaviti kao korisnik tečaja, možete postaviti lozinku korisnika koristeći $CFG->tool_generator_users_password u config.php; ova postavka ažurira lozinku korisnika tečaja prema $CFG->tool_generator_users_password. Može biti korisno u slučaju da koristite tečaj koji nije generirao tool_generator ili $CFG->tool_generator_users_password nije postavljen prilikom izrade ispitivanja tečajeva.';
